Subject: [NetLMM] #168: Multi-Homing Support

From: "NetLMM" <[email-masked]>
Date: Thu, 04 Oct 2007 12:25:41 -0000

#168: Multi-Homing Support
-------------------------------------------+--------------------------------
 Reporter:  [email-masked]  |       Owner:  Sri Gundavelli <[email-masked]>, [email-masked]
     Type:  technical                      |      Status:  new                                                 
 Priority:  normal                         |   Milestone:  PMIPv6 base specification                           
Component:  draft-ietf-netlmm-proxymip6    |    Keywords:  multi-homing                                        
-------------------------------------------+--------------------------------
 P-MIPv6 currently supports mobility on the host level.  This leads to
 problems when hosts are multi-homed.  This problem was identified by
 Hesham Soliman at IETF 69 in Chicago, and Vidya has written down the
 following problem statement:

 * MN has two interfaces attached to MAG1 and MAG2 under the same LMA

 * Let's say MAG1 first created the binding at the LMA and acquired a
 prefix/address for the MN, using MN-ID1

 * MN obtains the prefix/address on Interface1; if the MN is using DHCP, it
 will only get an address (since there is no requirement on the MN to do
 DHCP-PD)

 * MAG2 now sends a PBU with MN-ID1 also (very possible when the ID is
 something like an NAI)

 * LMA thinks the MN moved, updates the binding and returns the same prefix
 for the MN to MAG2

 * MN receives the same prefix/address via DHCP or RA over Interface2; MN
 detects a duplicate address and per RFC2462, does not configure that
 address on Interface2; Interface2 is now not enabled for IP forwarding;

 * If the MN is using stateless autoconfiguration, it may end up with a
 different address for Interface2; in this case, Interface2 is enabled; the
 assigned prefix, however, is no longer just over a point-to-point link,
 although, the MAG thinks it is

 * The LMA has a binding for MAG2 (corresponding to Interface2)

 * If the MN never enabled Interface2 due to duplicate address issues, the
 MN will try to use Interface1, but, unsuccessfully, since the LMA will
 drop those packets; LMA will send packets to MAG2 (Interface2), which will
 not be received by the MN

 * If the MN has enabled Interface2 with a different address, depending on
 the implementation, the MN may use Interface1 or Interface2 (some OSs will
 just pick one); any communication attempted via Interface 1 will fail

 * In the meantime, the binding may keep toggling between MAG1 and MAG2 at
 the LMA, due to corresponding PBUs received; the MN may have intermittent
 connectivity as a result of this

-- 
Ticket URL: <http://www3.tools.ietf.org/wg/netlmm/trac/ticket/168>
NetLMM <http://tools.ietf.org/wg/netlmm/>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "NetLMM" <[email-masked]>
Date: Thu, 04 Oct 2007 12:29:45 -0000

#168: Multi-Homing Support
-------------------------------------------+--------------------------------
 Reporter:  [email-masked]  |        Owner:  Sri Gundavelli <[email-masked]>, [email-masked]
     Type:  technical                      |       Status:  new                                                 
 Priority:  normal                         |    Milestone:  PMIPv6 base specification                           
Component:  draft-ietf-netlmm-proxymip6    |   Resolution:                                                      
 Keywords:  multi-homing                   |  
-------------------------------------------+--------------------------------
Comment (by [email-masked]):

 Since this issue could so far not be resolved depite a thorough mailing
 list discussion, the working group chairs have decided to proceed as
 follows:

 1) Vidya has asked for outside-NETLMM expert opinions about the topic.

 2) The working group will wait until Friday, Sep 5, to get answers back
 from these outside experts.  The results will be then posted on the
 mailing list for discussion.

 3) If the discussion starting on Friday does not result to consensus a
 consensus call will be held.  Jonne will do the consensus call, and Vidya
 will contribute to the technical discussion.

-- 
Ticket URL: <http://www3.tools.ietf.org/wg/netlmm/trac/ticket/168#comment:1>
NetLMM <http://tools.ietf.org/wg/netlmm/>